import type { SizeInfo, Tab, TabOffsetMap } from '../interface';
import type { TabNavListProps } from '../TabNavList';
export declare type ContainerSizeInfo = [width: number, height: number, left: number, top: number];
/**
 * Calculate what range of tabs is fully visible
 * @param tabOffsets Each Tab bounding rect info
 * @param containerSizeInfo Full outer container size (includes tabs, extra, operation, etc.)
 * @param tabContentNodeSizeInfo Size of full tabs
 * @param addNodeSizeInfo Size of addNode only
 * @param operationNodeSizeInfo Size of operation node (includes addNode & dropdown)
 * @param tabInfo
 * @returns
 */
export default function useVisibleRange(tabOffsets: TabOffsetMap, containerSizeInfo: ContainerSizeInfo, tabContentNodeSizeInfo: SizeInfo, addNodeSizeInfo: SizeInfo, operationNodeSizeInfo: SizeInfo, { tabs, tabPosition, rtl }: {
    tabs: Tab[];
} & TabNavListProps): [visibleStart: number, visibleEnd: number, visibleTabContentSize: number];
